Bug 60019 - The ports devel/py-orbit2 and devel/py-omniorb conflict
Summary: The ports devel/py-orbit2 and devel/py-omniorb conflict
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Mark Linimon
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2003-12-07 18:00 UTC by patrick
Modified: 2003-12-24 16:36 UTC (History)
0 users

See Also:


Attachments
py-orbit2,py-omniorb.patch (751 bytes, patch)
2003-12-23 21:50 UTC, Sergey Matveychuk
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description patrick 2003-12-07 18:00:40 UTC
The ports devel/py-orbit2 and devel/py-omniorb both install files named
CORBA.py and PortableServer.py into %%PYTHON_SITELIBDIR%%.  In my limited
experience with CORBA programming with Python, this can lead to issues
where the wrong CORBA implementation is used.  PyORBit documentation
says to use the following Python code:

import ORBit, CORBA

If omniORBpy is installed after PyORBit, the 'import CORBA' bit references
the omniORBpy version of the file, not the PyORBit version.  In omniORBpy,
the documentation says to use this:

from omniORB import CORBA

Problems with using 'from' aside, I think this would work even when
PyORBit is installed, but this import technique is not an option for
people wanting to use PyORBit due to its design.

I do not know how critical this is and whether applications using PyORBit
fail if omniORBpy's CORBA.py is installed on top of PyORBit's.  I can say
that I have been using gDesklets successfully for a few weeks now even
though PyORBit's CORBA.py and PortableServer.py files had been overwritten.

How-To-Repeat: Install devel/py-orbit2 and then install devel/py-omniorb to blow away
the PyORBit files.  Swap the installation steps to wipe out omniORBpy's
files.
Comment 1 Mark Linimon 2003-12-11 07:55:34 UTC
It seems to me that these ports, as well as devel/py-orbit, ought
to have CONFLICTS set.  I have Cc:ed the various maintainers to
see if they have any objections.
Comment 2 Mark Linimon freebsd_committer freebsd_triage 2003-12-11 07:57:27 UTC
State Changed
From-To: open->feedback

I'll track this. 


Comment 3 Mark Linimon freebsd_committer freebsd_triage 2003-12-11 07:57:27 UTC
Responsible Changed
From-To: freebsd-ports-bugs->linimon
Comment 4 Joe Marcus Clarke 2003-12-13 06:37:41 UTC
On Thu, 2003-12-11 at 02:55, Mark Linimon wrote:
> It seems to me that these ports, as well as devel/py-orbit, ought
> to have CONFLICTS set.  I have Cc:ed the various maintainers to
> see if they have any objections.


No objections here.

Joe

> 
> _______________________________________________
> freebsd-gnome@freebsd.org mailing list
> http://lists.freebsd.org/mailman/listinfo/freebsd-gnome
> To unsubscribe, send any mail to "freebsd-gnome-unsubscribe@freebsd.org"

-- 
PGP Key : http://www.marcuscom.com/pgp.asc
Comment 5 Sergey Matveychuk 2003-12-23 21:35:23 UTC
As py-omnyorb port maintainer, I have no objection too.
Please do it.

---
Sem.
Comment 6 Sergey Matveychuk 2003-12-23 21:50:12 UTC
Here is a patch.

---
Sem.
Comment 7 Mark Linimon freebsd_committer freebsd_triage 2003-12-24 16:35:40 UTC
State Changed
From-To: feedback->closed

Committed (with the addition of py-orbit), thanks.